### Method

# Xdp Portal session_monitor_start

#### Declaration [src]

    void
    xdp_portal_session_monitor_start (
      XdpPortal* portal,
      XdpParent* parent,
      XdpSessionMonitorFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer data
    )

#### Description [src]

Makes `XdpPortal` start monitoring the login session state.

When the state changes, the `XdpPortal::session-state-changed` signal is emitted.

Use `xdp_portal_session_monitor_stop()` to stop monitoring.

#### Parameters

`parent` | `XdpParent`
| A XdpParent, or `NULL`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`flags` | `XdpSessionMonitorFlags`
| Options for this call.
`cancellable` | `GCancellable`
| Optional `GCancellable`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to call when the request is done.
| The argument can be `NULL`.
`data` | `gpointer`
| Data to pass to `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.